import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'
const TimeStamp = new Date().getTime();

export default defineConfig({
  plugins: [vue()],
  resolve: {
	  alias: {
		  '@': path.resolve(__dirname, 'src'),
	  }
  },
  build: {
      rollupOptions: {
        output: {
          entryFileNames: `[name].${TimeStamp}.js`,
          chunkFileNames: `[name].${TimeStamp}.js`,
          assetFileNames: `[name].${TimeStamp}.js`,
        },
      },
    },
})

